We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Reinstalacja Gentoo


Yrr
13-03-2008, 12:42
W tej chwili mam podobny problem:
"The server encountered an internal error or misconfiguration and was unable to complete your request." Pod adresem: http://91.121.106.200/test.php.

Ktoś może mi pomóc z rozwiązaniem. Osoba, która miała tym administrować rzuciła pracę z dnia na dzień zostałem sam z problemem, o którym nie mam pojęcia.

Na serwerze jest suphp, który od rana przewalczyłem. Szukam kolejnego kroku, więc liczę na jakąś podpowiedź.

Edit: przejrzałem całość jeszcze raz i dochodzę do wniosku, że mam ten sam problem co @zebol (wyłączyłem suphp i zamiast błędu mam źródło kodu PHP). Biorę się za odinstalowanie suphp, potem będę walczył z instalacją.
Po co na serwerze są preinstalowane rzeczy, które nie działają ? Nie dało się tego naprawić przez prawie rok czasu ?

zebol
21-06-2007, 16:25
Support działa stanowczo za wolno!.
Do godziny 17 a potem to już echo, nie mówiąc o weekendach.

Sam sobie odpowiem na pytanie:
Wystarczy odpalić komendę:

Kod PHP:
/etc/init.d/qmail start 
To takie trudne ?
Nie każdy z klientów jest obeznany w danym systemie, dlatego istnieje ten support by nam pomagać.
Jak widać - opierzale. Oczywiście Temat zostanie poruszony na forum PIO.

Stare paczki instalacyjne i luki w systemach zabezpieczeń stanowią czystą Anty-reklame usług OVH - NP: re-istalacja Gentoo

Nowy klient z małym doświadczeniem systemów jest narażony na ataki tunelowe ze strony Hackerów.

Instalacja nowego systemu powinna być jak najbardziej aktualna, nie sprzed kilkunastu miesięcy. Tak wygląda instalacja systemu opartego o dystrybucje OVH.

Porada:

Instalować samemu wszystkie paczki instalacyjne danego systemu i zapoznanie się z jego strukturą.

zebol
20-06-2007, 21:39
Hey,


Więc rozwiązałem przyczynę błędu po instalce "Gento-OVH"
Internal Server Error
UID of script "/home/maxlinks/www/index.php" is smaller than min_uid
suPHP 0.6.1
Wklejam dla potomnych z podobnym problemem.
Wystarczy zmienić parametry pliku suphp.conf w lokalizacji /usr/local/etc

Na wartości poniżej:
Wówczas nie będzie problemów z serwerem.

Kod PHP:
Minimum UID
min_uid
=0

Minimum GID
min_gid
=
Trzy doby z cholerstwem zarwałem.

Ale jest jeden plus - sporo się dowiedziałem o aplikacjach i dyrektywach systemu


EDIT:
QMail Server - odmówił posłuszeństwa i nie działa, jak można go zrestartować lub sprawdzić czy wszystkie aplikacje są OK ?
Przy statusie serwera jest czerwony krzyżyk - czyli siadł.
Squid Proxy Server oraz Postfix Server - jest wyłączony również - skreślone koło.

bob123
20-06-2007, 12:02
To nie jest standardowy konfig apache z gentoo np nie widze linijki opowiedzialnej za ladowanie modulu php. Moja rada:
- odinstaluj tego apache
- zainstaluj tego 'oryginalnego' z drzewka
- upewniej sie ze konfigi sa tymi domyslnymi z drzewka
- przekompiluj mod_php
- uruchom nowego apache i wszystko powinno dzialac

Opisy, ktory podsylalem robione byly w oparciu o apache z portage i napewno dzialaja.

Jezeli z jakiegos powodu zalezy Ci na apache zmodyfikowanym przez ovh to napisz na pomoc@ovh.pl i opisz problem

zebol
20-06-2007, 11:44
Ok - wklejam - kodu php nadal mi nie wykonuje:

EDIT:
Ciach....

bob123
20-06-2007, 11:22
Upewnij sie ze etc-update zaaktualizowal wszystkie konfigi
Podeslij konfigi do apache, moze tam jest cos namieszane.

zebol
20-06-2007, 11:09
wieć tak...

Odinstalowałem suphp i jest ok.

Zrobiłem tak jak podałeś w linku i teraz mam:

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, webmaster@maxlinks.org and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Coś jeszcze musze zmienić ?

bob123
20-06-2007, 10:44
To znalazł - czyli co teraz odinstalować ?
mod_suphp-ovh

zakomentowanie modu nic nie daje - nie chodzi php
Podeslalem linka jak zainstalowac apache z mod_php - przeczytaj go.

zebol
20-06-2007, 10:34
/var/db/pkg/www-apache/mod_suphp-ovh-0.6.1 - to mam.

zakomentowanie modu nic nie daje - nie chodzi php.

bob123
20-06-2007, 10:24
Moze zainstalowales suphp ze zrodel? Musisz miec zrodla i skorzystac z make uninstall. Innych pomyslow nie mam.

Dla pewnosci zerknij jeszcze do /var/db/pkg/www-apache i zobacz czy cos w nazwie zawiera suphp
Mozesz rowniez w konfiguracji apache zakomentowac ladowanie modulu suphp

zebol
20-06-2007, 10:13
--- Couldn't find 'mod_suphp' to unmerge.

>>> No packages selected for removal by unmerge

też lipa

Edit:
> emerge search suphp
*** Deprecated use of action 'search', use '--search' instead
Searching... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..... ..
[ Results for search key : suphp ]
[ Applications found : 2 ]

* www-apache/mod_suphp [ Masked ]
Latest version available: 0.6.2-r1
Latest version installed: [ Not Installed ]
Size of files: 363 kB
Homepage: http://www.suphp.org/
Description: A PHP wrapper for Apache2.
License: GPL-2

* www-apache/mod_suphp-ovh
Latest version available: 0.6.2
Latest version installed: 0.6.1
Size of files: 369 kB
Homepage: http://www.suphp.org
Description: A PHP wrapper for Apache
License: GPL-2

To znalazł - czyli co teraz odinstalować ?

bob123
20-06-2007, 09:59
emerge -C mod_suphp ?

zebol
20-06-2007, 09:51
OK - to odinstaluje.

emerge -C suphp ? nie działa.
>>> No packages selected for removal by unmerge

bob123
20-06-2007, 09:35
Skoro nie potrzebujesz suPHP (tylko tak wnioskuje), to odinstaluj suPHP. I poprawnie skonfiguruj apache do pracy z mod_php:

http://www.gentoo.org/proj/en/php/ph...figuration.xml
http://gentoo-wiki.com/Apache_Modules_mod_php

zebol
20-06-2007, 09:27
Hey ,

Tak też myślałem że starczy wyłączyć i po problemie.
suPHP_Engine off
Jednak wówczas nie wykonuje kodu PHP i wyświetla normalnie kod na stronie.
Wyczytałem że nowsza wersja powinna pomóc suPHP 0.6.2

Jednak przy instalce na koncu mam błąd:

Kod PHP:
checking for stdlib.h... (cachedyes
checking 
for string.h... (cachedyes
checking 
for unistd.h... (cachedyes
checking 
for APR... no
checking 
for dynamic Apache module support (via APXS)... whichno apxs in (/sbin:/bin:/usr/sbin:/usr/bin)
found at /usr/local/apache/bin/apxs (version 2.0.58)
configureerrorAPR is needed to build mod_suphp for Apache 2.x but was not found 
I teraz już niewiem jak rozwiązać problem z błędem:
UID of script "/home/maxlinks/www/index.php" is smaller than min_uid

bob123
20-06-2007, 09:18
Czy rzeczywiscie potrzebujesz suPHP? Moze warto wylaczyc i nie powinno byc problemu

zebol
19-06-2007, 19:02
Jak w temacie....


Dwukrotna re-instalacja dedyka i ten sam błąd:

Kod PHP:
Internal Server Error
UID of script 
"/home/maxlinks/www/index.php" is smaller than min_uid
suPHP 0.6.1 
Dodałem tylko domenę i wgrałem przykładowy plik "PHP" i to wszystko.

Edit:
Pobrałem najnowszą paczkę: suphp-0.6.2.tar.gz
Do jakiego lokalizacji należy wgrać plik i jakiej komendu użyć by go zainstalować ?